<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action('admin_menu', 'tr_grabber_options');

function tr_grabber_options(){
    global $submenu;
    
    add_menu_page( 'TR Grabber', 'TR Grabber', 'manage_options', 'tr-grabber', 'tr_grabber_function', '', 2 );
    
    if( defined('TR_GRABBER_MOVIES') ) {
        add_menu_page( 'Movies', __('Movies', 'tr-grabber'), 'manage_options', 'tr-movies', '', '', 2 );
    
        $submenu['tr-movies'][] = array(__('Movies', 'tr-grabber'), 'publish_posts', esc_url( home_url( '/wp-admin/edit.php?tr_post_type=1' ) ));
    }
    
    if( defined('TR_GRABBER_SERIES') ) {        
        add_menu_page( 'Series', __('Series', 'tr-grabber'), 'manage_options', 'tr-series', '', '', 2 );

        $submenu['tr-series'][] = array(__('Series', 'tr-grabber'), 'publish_posts', esc_url( home_url( '/wp-admin/edit.php?tr_post_type=2' ) ));
    }
}

function tr_grabber_menu() {
    global $pagenow;

    if ( in_array( $pagenow, array( 'edit.php' ) ) and !isset($_GET['post_type']) or in_array( $pagenow, array( 'post-new.php' ) ) and !isset($_GET['post_type']) or in_array( $pagenow, array( 'post.php' ) ) and !isset($_GET['post_type']) or isset($_GET['taxonomy']) or in_array( $pagenow, array( 'edit.php' ) ) and isset( $_REQUEST['tr_post_type'] ) ) {
        
        $_GET['taxonomy'] = isset($_GET['taxonomy']) ? $_GET['taxonomy'] : '';
        $_GET['taxonomy'] = $_GET['taxonomy'] == 'cast_tv' ? 'cast' : $_GET['taxonomy'];
        $_GET['taxonomy'] = $_GET['taxonomy'] == 'directors_tv' ? 'directors' : $_GET['taxonomy'];
        
        $current1a = in_array( $pagenow, array( 'edit.php' ) ) ? ' class="current"' : '';
        $current1b = in_array( $pagenow, array( 'post-new.php' ) ) ? ' class="current"' : '';
        $current1c = $_GET['taxonomy']=='directors' ? ' class="current"' : '';
        $current1d = $_GET['taxonomy']=='cast' ? ' class="current"' : '';
        $current1e = $_GET['taxonomy']=='country' ? ' class="current"' : '';
        $current1f = '';
        if( $_GET['taxonomy']=='server' or $_GET['taxonomy']=='language' or $_GET['taxonomy']=='quality' ) $current1f = ' class="current"';
        $current1g = $_GET['taxonomy'] == 'server' ? ' class="current"' : '';
        $current1h = $_GET['taxonomy'] == 'language' ? ' class="current"' : '';
        $current1i = $_GET['taxonomy'] == 'quality' ? ' class="current"' : '';
        $current1j = $_GET['taxonomy'] == 'category' ? ' class="current"' : '';
        $current1k = $_GET['taxonomy'] == 'seasons' ? ' class="current"' : '';
        $current1l = $_GET['taxonomy'] == 'episodes' ? ' class="current"' : '';
                
        if( tr_grabber_type() == 1 ) {
            echo'
            <ul class="MnTpAdn filter-links" id="tr-grabber-menu">
                <li><a'.$current1a.' href="'.admin_url( 'edit.php' ).'">'.__('All', 'tr-grabber').'</a></li>
                <li><a'.$current1b.' href="'.admin_url( 'post-new.php?tr_post_type=1' ).'">'.__('Add Movie', 'tr-grabber').'</a></li>
                <li><a'.$current1c.' href="'.admin_url( 'edit-tags.php?taxonomy=directors' ).'">'.__('Directors', 'tr-grabber').'</a></li>
                <li><a'.$current1d.' href="'.admin_url( 'edit-tags.php?taxonomy=cast' ).'">'.__('Cast', 'tr-grabber').'</a></li>
                <li><a'.$current1e.' href="'.admin_url( 'edit-tags.php?taxonomy=country' ).'">'.__('Countries', 'tr-grabber').'</a></li>
                <li>
                    <a'.$current1f.' href="#">'.__('Links', 'tr-grabber').' <i class="dashicons dashicons-arrow-down-alt2"></i></a>
                    <ul>
                        <li><a'.$current1g.' href="'.admin_url( 'edit-tags.php?taxonomy=server' ).'">'.__('Servers', 'tr-grabber').'</a></li>
                        <li><a'.$current1h.' href="'.admin_url( 'edit-tags.php?taxonomy=language' ).'">'.__('Languages', 'tr-grabber').'</a></li>
                        <li><a'.$current1i.' href="'.admin_url( 'edit-tags.php?taxonomy=quality' ).'">'.__('Qualitys', 'tr-grabber').'</a></li>
                    </ul>
                </li>
                <li><a'.$current1j.' href="'.admin_url( 'edit-tags.php?taxonomy=category' ).'">'.__('Categories', 'tr-grabber').'</a></li>
            </ul>
            ';
        }
        
        if( tr_grabber_type() == 2 ) {
            
            echo'
            <ul class="MnTpAdn filter-links" id="tr-grabber-menu">
                <li><a'.$current1a.' href="'.admin_url( 'edit.php?tr_post_type=2' ).'">'.__('All', 'tr-grabber').'</a></li>
                <li><a'.$current1b.' href="'.admin_url( 'post-new.php?tr_post_type=2' ).'">'.__('Add Serie', 'tr-grabber').'</a></li>
                <li><a'.$current1c.' href="'.admin_url( 'edit-tags.php?taxonomy=directors_tv&tr_post_type=2' ).'">'.__('Directors', 'tr-grabber').'</a></li>
                <li><a'.$current1d.' href="'.admin_url( 'edit-tags.php?taxonomy=cast_tv&tr_post_type=2' ).'">'.__('Cast', 'tr-grabber').'</a></li>
                <li>
                    <a'.$current1f.' href="#">'.__('Links', 'tr-grabber').' <i class="dashicons dashicons-arrow-down-alt2"></i></a>
                    <ul>
                        <li><a'.$current1g.' href="'.admin_url( 'edit-tags.php?taxonomy=server&tr_post_type=2' ).'">'.__('Servers', 'tr-grabber').'</a></li>
                        <li><a'.$current1h.' href="'.admin_url( 'edit-tags.php?taxonomy=language&tr_post_type=2' ).'">'.__('Languages', 'tr-grabber').'</a></li>
                        <li><a'.$current1i.' href="'.admin_url( 'edit-tags.php?taxonomy=quality&tr_post_type=2' ).'">'.__('Qualitys', 'tr-grabber').'</a></li>
                    </ul>
                </li>
                <li><a'.$current1j.' href="'.admin_url( 'edit-tags.php?taxonomy=category&tr_post_type=2' ).'">'.__('Categories', 'tr-grabber').'</a></li>
                <li'.$current1k.'><a href="'.admin_url( 'edit-tags.php?taxonomy=seasons&tr_post_type=2' ).'">'.__('Seasons', 'tr-grabber').'</a></li>
                <li'.$current1l.'><a href="'.admin_url( 'edit-tags.php?taxonomy=episodes&tr_post_type=2' ).'">'.__('Episodes', 'tr-grabber').'</a></li>
            </ul>
            ';
            
        }

    }

}

add_action('admin_footer-edit.php', 'tr_grabber_menu');
add_action('admin_footer-post.php', 'tr_grabber_menu');
add_action('admin_footer-post-new.php', 'tr_grabber_menu');
add_action('admin_footer-edit-tags.php', 'tr_grabber_menu');
add_action('admin_footer-term.php', 'tr_grabber_menu');

add_action( 'admin_init', 'tr_grabber_admin_custom_menu_class' );

function tr_grabber_admin_custom_menu_class() {
    global $menu, $pagenow;

    foreach( $menu as $key => $value )
    {        
        if( tr_grabber_type() == 1 and 'tr-movies' == $value[2] ) {
            $menu[$key][4] .= " current";
        }

        if( 'tr-series' == $value[2] and tr_grabber_type() == 2 ) {
            $menu[$key][4] .= " current";
        }
    }
}

?>