<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function tr_grabber_add_rewrite_rules() {
    
    add_rewrite_rule(TR_GRABBER_FIELD_LETTERS.'/([^/]+)/page/([0-9]+)?$',
    'index.php?letters=$matches[1]&trpage=$matches[2]',
    'top');

}
add_filter('init', 'tr_grabber_add_rewrite_rules', 9999);

if( TR_GRABBER_PREFIX_POSTS == 1 ) {

add_filter('post_link', 'tr_grabber_permalink', 1, 3);
add_filter('post_type_link', 'tr_grabber_permalink', 1, 3);

function tr_grabber_permalink($permalink, $post_id, $leavename) {

    $type = get_post_meta($post_id->ID, 'tr_post_type', true);
    $type_slug = $type == '' ? TR_GRABBER_SLUG_MOVIES : TR_GRABBER_SLUG_SERIES;
    
    return str_replace('%tr_post_type%', $type_slug, $permalink);
    
}

function tr_grabberprefix_add_rewrite_rules() {

    add_rewrite_rule(TR_GRABBER_SLUG_SERIES.'/([^/]+)/?$',
    'index.php?name=$matches[1]&tr_post_type=2',
    'top');

    add_rewrite_rule(TR_GRABBER_SLUG_MOVIES.'/([^/]+)/?$',
    'index.php?name=$matches[1]&tr_post_type=0',
    'top');
    
}
add_filter('init', 'tr_grabberprefix_add_rewrite_rules', 9999);

function tr_grabber_redirect_canonical() {

    if( is_single() ) {
        $postid = get_queried_object_id();
        $type = get_post_meta($postid, 'tr_post_type', true);
        if($type==''){ $type=0; }
        if($type!=get_query_var('tr_post_type') and get_query_var('tr_post_type')!=''){

            exit( wp_redirect( get_permalink($postid) ) );

        }

    }

}

add_action( 'template_redirect', 'tr_grabber_redirect_canonical' );
    
}

function tr_grabber_query_vars( $vars ) {
    array_push($vars, 'tr_post_type');
    array_push($vars, 'trpage');
    array_push($vars, 'trtype');
    array_push($vars, 'trfilter');
    array_push($vars, 'trembed');
    array_push($vars, 'trid');
    array_push($vars, 'trdownload');
    return $vars;
}
add_filter( 'query_vars','tr_grabber_query_vars' );